Skip to main content
POST
/
v1
/
videos
/
{id}
/
clips
/
{clipId}
/
duplicate
Duplicate a clip
curl --request POST \
  --url https://api.tella.com/v1/videos/{id}/clips/{clipId}/duplicate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Intro (copy)",
  "order": 1
}
'
{
  "clip": {
    "background": {
      "type": "solid",
      "color": "#000000ff",
      "gradientAngle": 45,
      "gradientColor1": "#ff0080ff",
      "gradientColor2": "#7928caff",
      "imageUrl": "https://cdn.example.com/bg.png",
      "videoDurationSeconds": 12.4,
      "videoUrl": "https://cdn.example.com/bg.mp4"
    },
    "createdAt": "2026-01-15T10:30:00.000Z",
    "cuts": [
      {
        "durationMs": 750,
        "startTimeMs": 1500
      }
    ],
    "durationSeconds": 12.5,
    "id": "cl_xyz789ghi012",
    "layoutSceneType": "combi",
    "maxDurationSeconds": 14.2,
    "name": "Intro",
    "order": 0,
    "updatedAt": "2026-01-15T14:45:00.000Z",
    "videoId": "vid_abc123def456"
  }
}

Authorizations

Authorization
string
header
required

API key obtained from your Tella account settings

Path Parameters

id
string
required

Video identifier

Example:

"vid_abc123def456"

clipId
string
required

Clip identifier

Example:

"cl_xyz789ghi012"

Body

application/json

Request body for duplicating a clip

name
string

Name for the duplicated clip (defaults to the source clip name)

Required string length: 1 - 255
Example:

"Intro (copy)"

order
integer

Position to insert the new clip (defaults to right after the source)

Required range: 0 <= x <= 9007199254740991
Example:

1

Response

OK

Response shape for a single clip

clip
object
required

A section of a video